InboxCancel scheduled reply

Cancel scheduled reply

Cancels a pending scheduled reply. Only replies with status pending can be cancelled. Any R2 attachments associated with the reply are also cleaned up.

curl -X DELETE "https://api.sendkit.ai/v1/inbox/example_string/scheduled/example_string" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: YOUR_API_KEY"
{
  "success": true,
  "data": {
    "message": "Scheduled reply cancelled"
  }
}
DELETE
/v1/inbox/{conversationId}/scheduled/{replyId}
DELETE
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-Api-Key)
X-Api-Keystring
Required

Platform API key (sk_user_...) or Workspace API key (sk_...)

Platform API key (sk_user_...) or Workspace API key (sk_...)
path
conversationIdstring
Required

Conversation ID (the inbox thread ID)

path
replyIdstring
Required

Scheduled reply ID

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-Api-Keystring
Required

API Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)

Path Parameters

conversationIdstring
Required

Conversation ID (the inbox thread ID)

replyIdstring
Required

Scheduled reply ID

Responses

successboolean
dataobject